{-# OPTIONS --without-K --sized-types #-}
import Agda.Builtin.Bool
open import Agda.Builtin.Size
open import Data.Fin.Base
open import Data.List.Base
open import Agda.Builtin.Equality
open import Agda.Builtin.Nat

module le where

  data Le (n : Nat) : Nat -> Set where
    len : Le n n
    leS : {m : Nat} -> Le n m -> Le n (suc m)

  le_uip : (m n : Nat) -> (p q : Le m n) -> p ≡ q
  le_uip m n len len = refl
