(* begin hide *)
From Equations Require Import Equations.
From EquationsReloaded Require Import Fin.
Require Import Omega Utf8 Arith Compare_dec.
Set Equations Transparent.
(* end hide *)

Equations lift_fin {n} (k : nat) (f : fin n) : fin (S n) :=
 { lift_fin 0 f := fs f;
   lift_fin (S k) fz := fz;
   lift_fin (S k) (fs f) := fs (lift_fin k f) }.
